security/opencdk - The NetBSD Packages Collection

Open Crypto Development Kit

OpenCDK (Open Crypto Development Kit) provides basic parts of the OpenPGP
message format.  The aim of the library is *not* to replace any available
OpenPGP version.  There will be no real support for key management (sign,
revoke, alter preferences, ...) and some other parts are only rudimentary
available.  The main purpose is to handle and understand OpenPGP packets and
to use basic operations.  For example to encrypt/decrypt or to sign/verify
and packet routines.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

security/libgcrypt security/libgcrypt security/libgcrypt

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 8.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 8.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 8.0i386opencdk-0.6.6nb3.tgz
NetBSD 8.0i386opencdk-0.6.6nb3.tgz
NetBSD 8.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 8.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 8.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 8.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 8.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 8.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 9.0aarch64opencdk-0.6.6nb3.tgz
NetBSD 9.0aarch64opencdk-0.6.6nb3.tgz
NetBSD 9.0aarch64opencdk-0.6.6nb3.tgz
NetBSD 9.0alphaopencdk-0.6.6nb3.tgz
NetBSD 9.0alphaopencdk-0.6.6nb3.tgz
NetBSD 9.0alphaopencdk-0.6.6nb3.tgz
NetBSD 9.0earmopencdk-0.6.6nb3.tgz
NetBSD 9.0earmopencdk-0.6.6nb3.tgz
NetBSD 9.0earmopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv6hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv6hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv6hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 9.0earmv7hfopencdk-0.6.6nb3.tgz
NetBSD 9.0i386opencdk-0.6.6nb3.tgz
NetBSD 9.0i386opencdk-0.6.6nb3.tgz
NetBSD 9.0i386opencdk-0.6.6nb3.tgz
NetBSD 9.0mips64ebopencdk-0.6.6nb3.tgz
NetBSD 9.0mips64ebopencdk-0.6.6nb3.tgz
NetBSD 9.0mips64ebopencdk-0.6.6nb3.tgz
NetBSD 9.0mips64ebopencdk-0.6.6nb3.tgz
NetBSD 9.0mips64ebopencdk-0.6.6nb3.tgz
NetBSD 9.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 9.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 9.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 9.0powerpcopencdk-0.6.6nb3.tgz
NetBSD 9.0sparc64opencdk-0.6.6nb3.tgz
NetBSD 9.0sparc64opencdk-0.6.6nb3.tgz
NetBSD 9.0sparc64opencdk-0.6.6nb3.tgz
NetBSD 9.0sparcopencdk-0.6.6nb3.tgz
NetBSD 9.0sparcopencdk-0.6.6nb3.tgz
NetBSD 9.0sparcopencdk-0.6.6nb3.tgz
NetBSD 9.0sparcopencdk-0.6.6nb3.tgz
NetBSD 9.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 9.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 9.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 9.0x86_64opencdk-0.6.6nb3.tgz
NetBSD 9.0x86_64opencdk-0.6.6nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.